require_relative '../spec_helper'
require_relative '../dummy/config/application'

describe RootController do
  describe "index" do
    let(:action) { RootController::Index.new }

    it "returns a collection-json collection" do
      call_action(action, {})
      expect(response.collection.class).to eq(Conglomerate::Collection)
    end

    it "links to root" do
      call_action(action, {})
      expect(
        response.collection.links.find{ |l| l.rel == "root" }.href
      ).to eq(path_for(:root))
    end
  end
end